

input[type="checkbox"] {
  opacity: 0;
  width: 0;
  display: none;
}

input[type="checkbox"]+label {
  position: relative;
  display: block;
  cursor: pointer;
  line-height: 1.3;
  padding: 0.2rem 0 0.3rem 2rem;

  &.form-required {
    background-image: url("../images/icons/required.svg");
    background-position: 1.8rem 0;
    background-repeat: no-repeat;
    background-size: 6px 6px;
    padding-left: 2.6rem;

    &:after {
      margin: inherit;
      background-image: none;
    }
  }
}

input[type="checkbox"]+label:before,
input[type="checkbox"]+label:after {
  position: absolute;
  content: "";

  /*Needed for the line-height to take effect*/
  display: block;
}

/*Outer box of the fake checkbox*/
input[type="checkbox"]+label:before{
  height: 1.3rem;
  width: 1.3rem;

  border: 2px solid $color-grey;
  border-radius: 4px;
  left: 0px;
  top: 0;
}

input[type="checkbox"]+label:hover:before {
  border-color: $color-black;
}

/*Checkmark of the fake checkbox*/
input[type="checkbox"]+label:after {
  height: 5px;
  width: 9px;
  border-left: 3px solid;
  border-bottom: 3px solid;
  border-color: $color-white;
  transform: rotate(-45deg);
  left: 0.4rem;
  top: 0.4rem;
}

/*Hide the checkmark by default*/
input[type="checkbox"] + label:after {
  content: none;
}

/*Unhide on the checked state*/
input[type="checkbox"]:checked + label:before {
  background-color: $color-black;
  border-color: $color-black;
}
input[type="checkbox"]:checked + label:after {
  content: "";
}

/*Adding focus styles on the outer-box of the fake checkbox*/
input[type="checkbox"]:focus + label:before {
  outline: none;
}

